Bug 222700 - QuantumAutoloader isn't detected at boot
QuantumAutoloader isn't detected at boot
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-15 14:53 EST by Dmitry S. Makovey
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry S. Makovey 2007-01-15 14:53:27 EST
Description of problem:
I'm having problem making RHELAS3 to "remember settings" for my configuration.
In brief - no matter what I do LUN 01 wouldn't come up at boot.

Version-Release number of selected component (if applicable):

aic7xxx driver from kernel[-smp]-2.4.21-47.EL

How reproducible:

So far - every time.


Steps to Reproduce:
1. connect Quantum Superloader3 to SCSI port on machine
2. install RHELAS3u8 on machine - it will detect tape drive automaticaly
3. install mtx tool
4. try to use loaderinfo -f /dev/sg[0-x] (this will show only tape drive and not
loader)
5. (in our case) use echo "scsi add-single-device 1 0 5 1" > /proc/scsi/scsi so
that system can "see" loader
6. run kudzu to record this in /etc/sysconfig/hwconf
7. confirm that loader is in hwconf file
8. (optional) run /sbin/new-kernel-pkg --mkinitrd --depmod --install
2.4.21-47.ELsmp do make initrd
9. add max_scsi_luns=4 to grub "kernel" lines
10. reboot
  
Actual results:

# loaderinfo -f /dev/sg4
cannot open SCSI device '/dev/sg5' - No such device or address

# cat /proc/scsi/scsi| grep -i changer
..[nothing]

Expected results:

# loaderinfo -f /dev/sg4
Product Type: Medium Changer

# cat /proc/scsi/scsi| grep -i changer
 Type:   Medium Changer                   ANSI SCSI revision: 02

Additional info:
workaround: stick echo "scsi add-single-device 1 0 5 1" > /proc/scsi/scsi into
/etc/rc.local but I shouldn't do this. It should be handled automatically by kernel.
Comment 1 RHEL Product and Program Management 2007-10-19 14:39:13 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.